org.eclipse.aether.resolution

## Class ArtifactDescriptorResult

- java.lang.Object
- - org.eclipse.aether.resolution.ArtifactDescriptorResult

-     public final class ArtifactDescriptorResult
      extends Object

  The result from reading an artifact descriptor.
  See Also:
    `RepositorySystem.readArtifactDescriptor(RepositorySystemSession, ArtifactDescriptorRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactDescriptorResult(ArtifactDescriptorRequest request)` Creates a new result for the specified request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArtifactDescriptorResult` | `addAlias(Artifact alias)` Records the specified alias.
    `ArtifactDescriptorResult` | `addDependency(Dependency dependency)` Adds the specified direct dependency.
    `ArtifactDescriptorResult` | `addException(Exception exception)` Records the specified exception while reading the artifact descriptor.
    `ArtifactDescriptorResult` | `addManagedDependency(Dependency dependency)` Adds the specified managed dependency.
    `ArtifactDescriptorResult` | `addRelocation(Artifact artifact)` Records the specified relocation hop while locating the artifact descriptor.
    `ArtifactDescriptorResult` | `addRepository(RemoteRepository repository)` Adds the specified remote repository.
    `Collection<Artifact>` | `getAliases()` Gets the known aliases for this artifact.
    `Artifact` | `getArtifact()` Gets the artifact whose descriptor was read.
    `List<Dependency>` | `getDependencies()` Gets the list of direct dependencies of the artifact.
    `List<Exception>` | `getExceptions()` Gets the exceptions that occurred while reading the artifact descriptor.
    `List<Dependency>` | `getManagedDependencies()` Gets the dependency management information.
    `Map<String,Object>` | `getProperties()` Gets any additional information about the artifact in form of key-value pairs.
    `List<Artifact>` | `getRelocations()` Gets the relocations that were processed to read the artifact descriptor.
    `List<RemoteRepository>` | `getRepositories()` Gets the remote repositories listed in the artifact descriptor.
    `ArtifactRepository` | `getRepository()` Gets the repository from which the descriptor was eventually resolved.
    `ArtifactDescriptorRequest` | `getRequest()` Gets the descriptor request that was made.
    `ArtifactDescriptorResult` | `setAliases(Collection<Artifact> aliases)` Sets the aliases of the artifact.
    `ArtifactDescriptorResult` | `setArtifact(Artifact artifact)` Sets the artifact whose descriptor was read.
    `ArtifactDescriptorResult` | `setDependencies(List<Dependency> dependencies)` Sets the list of direct dependencies of the artifact.
    `ArtifactDescriptorResult` | `setExceptions(List<Exception> exceptions)` Sets the exceptions that occurred while reading the artifact descriptor.
    `ArtifactDescriptorResult` | `setManagedDependencies(List<Dependency> dependencies)` Sets the dependency management information.
    `ArtifactDescriptorResult` | `setProperties(Map<String,Object> properties)` Sets any additional information about the artifact in form of key-value pairs.
    `ArtifactDescriptorResult` | `setRelocations(List<Artifact> relocations)` Sets the relocations that were processed to read the artifact descriptor.
    `ArtifactDescriptorResult` | `setRepositories(List<RemoteRepository> repositories)` Sets the remote repositories listed in the artifact descriptor.
    `ArtifactDescriptorResult` | `setRepository(ArtifactRepository repository)` Sets the repository from which the descriptor was resolved.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactDescriptorResult

          public ArtifactDescriptorResult(ArtifactDescriptorRequest request)

      Creates a new result for the specified request.
      Parameters:
        `request` - The descriptor request, must not be `null`.

  - ### Method Detail

    - #### getRequest

          public ArtifactDescriptorRequest getRequest()

      Gets the descriptor request that was made.
      Returns:
        The descriptor request, never `null`.

    - #### getExceptions

          public List<Exception> getExceptions()

      Gets the exceptions that occurred while reading the artifact descriptor.
      Returns:
        The exceptions that occurred, never `null`.

    - #### setExceptions

          public ArtifactDescriptorResult setExceptions(List<Exception> exceptions)

      Sets the exceptions that occurred while reading the artifact descriptor.
      Parameters:
        `exceptions` - The exceptions that occurred, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### addException

          public ArtifactDescriptorResult addException(Exception exception)

      Records the specified exception while reading the artifact descriptor.
      Parameters:
        `exception` - The exception to record, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getRelocations

          public List<Artifact> getRelocations()

      Gets the relocations that were processed to read the artifact descriptor. The returned list denotes the hops that lead to the final artifact coordinates as given by `getArtifact()`.
      Returns:
        The relocations that were processed, never `null`.

    - #### setRelocations

          public ArtifactDescriptorResult setRelocations(List<Artifact> relocations)

      Sets the relocations that were processed to read the artifact descriptor.
      Parameters:
        `relocations` - The relocations that were processed, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### addRelocation

          public ArtifactDescriptorResult addRelocation(Artifact artifact)

      Records the specified relocation hop while locating the artifact descriptor.
      Parameters:
        `artifact` - The artifact that got relocated, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getAliases

          public Collection<Artifact> getAliases()

      Gets the known aliases for this artifact. An alias denotes a different artifact with (almost) the same contents and can be used to mark a patched rebuild of some other artifact as such, thereby allowing conflict resolution to consider the patched and the original artifact as a conflict.
      Returns:
        The aliases of the artifact, never `null`.

    - #### setAliases

          public ArtifactDescriptorResult setAliases(Collection<Artifact> aliases)

      Sets the aliases of the artifact.
      Parameters:
        `aliases` - The aliases of the artifact, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### addAlias

          public ArtifactDescriptorResult addAlias(Artifact alias)

      Records the specified alias.
      Parameters:
        `alias` - The alias for the artifact, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getArtifact

          public Artifact getArtifact()

      Gets the artifact whose descriptor was read. This can be a different artifact than originally requested in case relocations were encountered.
      Returns:
        The artifact after following any relocations, never `null`.

    - #### setArtifact

          public ArtifactDescriptorResult setArtifact(Artifact artifact)

      Sets the artifact whose descriptor was read.
      Parameters:
        `artifact` - The artifact whose descriptor was read, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getRepository

          public ArtifactRepository getRepository()

      Gets the repository from which the descriptor was eventually resolved.
      Returns:
        The repository from which the descriptor was resolved or `null` if unknown.

    - #### setRepository

          public ArtifactDescriptorResult setRepository(ArtifactRepository repository)

      Sets the repository from which the descriptor was resolved.
      Parameters:
        `repository` - The repository from which the descriptor was resolved, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getDependencies

          public List<Dependency> getDependencies()

      Gets the list of direct dependencies of the artifact.
      Returns:
        The list of direct dependencies, never `null`

    - #### setDependencies

          public ArtifactDescriptorResult setDependencies(List<Dependency> dependencies)

      Sets the list of direct dependencies of the artifact.
      Parameters:
        `dependencies` - The list of direct dependencies, may be `null`
      Returns:
        This result for chaining, never `null`.

    - #### addDependency

          public ArtifactDescriptorResult addDependency(Dependency dependency)

      Adds the specified direct dependency.
      Parameters:
        `dependency` - The direct dependency to add, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getManagedDependencies

          public List<Dependency> getManagedDependencies()

      Gets the dependency management information.
      Returns:
        The dependency management information.

    - #### setManagedDependencies

          public ArtifactDescriptorResult setManagedDependencies(List<Dependency> dependencies)

      Sets the dependency management information.
      Parameters:
        `dependencies` - The dependency management information, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### addManagedDependency

          public ArtifactDescriptorResult addManagedDependency(Dependency dependency)

      Adds the specified managed dependency.
      Parameters:
        `dependency` - The managed dependency to add, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getRepositories

          public List<RemoteRepository> getRepositories()

      Gets the remote repositories listed in the artifact descriptor.
      Returns:
        The remote repositories listed in the artifact descriptor, never `null`.

    - #### setRepositories

          public ArtifactDescriptorResult setRepositories(List<RemoteRepository> repositories)

      Sets the remote repositories listed in the artifact descriptor.
      Parameters:
        `repositories` - The remote repositories listed in the artifact descriptor, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### addRepository

          public ArtifactDescriptorResult addRepository(RemoteRepository repository)

      Adds the specified remote repository.
      Parameters:
        `repository` - The remote repository to add, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### getProperties

          public Map<String,Object> getProperties()

      Gets any additional information about the artifact in form of key-value pairs. Note: Regardless of their actual type, all property values must be treated as being read-only.
      Returns:
        The additional information about the artifact, never `null`.

    - #### setProperties

          public ArtifactDescriptorResult setProperties(Map<String,Object> properties)

      Sets any additional information about the artifact in form of key-value pairs.
      Parameters:
        `properties` - The additional information about the artifact, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.